Execute Contact Transfer
POST
/api/v1/transfer/execute
const url = 'https://api.parasta.io/api/v1/transfer/execute';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"transfer_id":"tf_xxxxx","pin":"[encrypted]"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/transfer/execute \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "transfer_id": "tf_xxxxx", "pin": "[encrypted]" }'Execute P2P transfer to contact via DID.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
transfer_id
required
Transfer session ID
string
pin
required
Encrypted PIN
string
Example
{ "transfer_id": "tf_xxxxx", "pin": "[encrypted]"}Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "tx_id": "tx_abc123", "status": "completed" }}